Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/db_tasks')
-rwxr-xr-xscripts/db_tasks12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/db_tasks b/scripts/db_tasks
new file mode 100755
index 00000000000..56c2eefef68
--- /dev/null
+++ b/scripts/db_tasks
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+root_path="$(cd "$(dirname "$0")/.." || exit ; pwd -P)"
+task=$1
+
+shift
+
+if [[ -d "${root_path}/ee/" || "${DECOMPOSED_DB}" == "true" ]]; then
+ task="${task}:main"
+fi
+
+eval "bundle exec rake ${task} ${*}"